# RW_Thread_Mutex.h File Reference

`#include "ace/ACE_export.h"`
`#include "ace/RW_Mutex.h"`
`#include "ace/RW_Thread_Mutex.inl"`

Include dependency graph for RW_Thread_Mutex.h:

This graph shows which files directly or indirectly include this file:

## Classes

class | ACE_RW_Thread_Mutex
| Wrapper for readers/writer locks that exist within a process. More...

## Detailed Description

Id
  RW_Thread_Mutex.h,v 4.2 2005/10/28 16:14:55 ossama Exp

Moved from Synch.h.

Author:
  Douglas C. Schmidt <schmidt@cs.wustl.edu>